{
  "arch": "riscv64",
  "os": "none",
  "cpu": "generic-rv64",
  "llvm-abiname": "lp64",
  "llvm-target": "riscv64",
  "data-layout": "e-m:e-p:64:64-i64:64-i128:128-n32:64-S128",
  "max-atomic-width": 64,
  "target-pointer-width": 64,
  "features": "+m,+a,+c",

  "disable-redzone": true,
  "executables": true,
  "panic-strategy": "abort",
  "dynamic-linking": true,
  "relocation-model": "pic",
  "position-independent-executables": true,
  "code-model": "medium",
  "eh-frame-header": false,

  "crt-objects-fallback": "false",
  "emit-debug-gdb-scripts": false,

  "linker": "rust-lld",
  "linker-flavor": "ld.lld"
}
